diff -urN ifcico-3.0.cm.alpha-4.0.buggy/ANNOUNCE.de ifcico-3.0.cm.alpha-4.0/ANNOUNCE.de
--- ifcico-3.0.cm.alpha-4.0.buggy/ANNOUNCE.de	Tue Jul  7 22:12:51 1998
+++ ifcico-3.0.cm.alpha-4.0/ANNOUNCE.de	Fri Jul 10 23:03:52 1998
@@ -21,8 +21,8 @@
 * Wo gibt's ifcico-3.0.cm?
 
 Die offizielle ifcico-3.0.cm Web-Seite ist unter
-http://www.cosy.sbg.ac.at/~cmeerw/ifcico/ zu finden. Das Archiv heit
-http://www.cosy.sbg.ac.at/~cmeerw/files/ifcico-3.0.cm.alpha-4.0.tar.gz
+http://www.cosy.sbg.ac.at/~cmeer/ifcico/ zu finden. Das Archiv heit
+http://www.cosy.sbg.ac.at/~cmeer/files/ifcico-3.0.cm.alpha-4.0.tar.gz
 
 Ifcico sollte in den nchsten Tagen auch bei allen Nodes des Linux-Net
 (damit ist das "gute, alte" File-Netz gemeint) erhltlich sein.
diff -urN ifcico-3.0.cm.alpha-4.0.buggy/ifcico/Makefile ifcico-3.0.cm.alpha-4.0/ifcico/Makefile
--- ifcico-3.0.cm.alpha-4.0.buggy/ifcico/Makefile	Sun Jul  5 15:37:17 1998
+++ ifcico-3.0.cm.alpha-4.0/ifcico/Makefile	Fri Jul 10 23:00:51 1998
@@ -41,7 +41,8 @@
 		nlindex.c nodebld.c ifindex.c ifroute.c mxlookup.c \
 		nlpatch.c nldbz.c dbz.c ifstat.c ifinfo.c ifreq.c
 HDRS = nodelist.h statetbl.h session.h ttyio.h emsi.h zmodem.h \
-		ftscprod.h nlindex.h janus.h hydra.h fsm.h dbz.h nldbz.h
+		ftscprod.h nlindex.h janus.h hydra.h fsm.h dbz.h nldbz.h \
+		filetime.h openfile.h
 OTHER = README README.mxlookup README.TELNET Makefile \
 		flaglex.l flagexp.y \
 		ftscprod.090 mkprod.awk \
diff -urN ifcico-3.0.cm.alpha-4.0.buggy/ifcico/filetime.h ifcico-3.0.cm.alpha-4.0/ifcico/filetime.h
--- ifcico-3.0.cm.alpha-4.0.buggy/ifcico/filetime.h	Thu Jan  1 01:00:00 1970
+++ ifcico-3.0.cm.alpha-4.0/ifcico/filetime.h	Wed Jul  1 01:00:09 1998
@@ -0,0 +1,9 @@
+#ifndef HEADER__FILETIME_H
+#define HEADER__FILETIME_H
+
+time_t mtime2sl(time_t);
+time_t sl2mtime(time_t);
+unsigned long mtime2tl(time_t);
+time_t tl2mtime(unsigned long);
+
+#endif
diff -urN ifcico-3.0.cm.alpha-4.0.buggy/ifcico/openfile.h ifcico-3.0.cm.alpha-4.0/ifcico/openfile.h
--- ifcico-3.0.cm.alpha-4.0.buggy/ifcico/openfile.h	Thu Jan  1 01:00:00 1970
+++ ifcico-3.0.cm.alpha-4.0/ifcico/openfile.h	Fri Jul  3 21:46:19 1998
@@ -0,0 +1,9 @@
+#ifndef HEADER__OPENFILE_H
+#define HEADER__OPENFILE_H
+
+FILE *openfile(char *fname, time_t remtime, off_t remsize,
+	       off_t *resofs, int (*resync)(off_t));
+
+int closefile(int success);
+
+#endif
diff -urN ifcico-3.0.cm.alpha-4.0.buggy/ifcico/ttyio.c ifcico-3.0.cm.alpha-4.0/ifcico/ttyio.c
--- ifcico-3.0.cm.alpha-4.0.buggy/ifcico/ttyio.c	Mon Jul  6 23:56:48 1998
+++ ifcico-3.0.cm.alpha-4.0/ifcico/ttyio.c	Wed Jul  8 20:35:39 1998
@@ -393,8 +393,6 @@
     return -tty_status;
   }
 
-  if (tty_status) return -tty_status;
-
   rc = 0;
 
   if (FD_ISSET(0,&readfds))
